<?php
/**
* 功能：调用某分类下的文章列表
* 调用：在主题functions.php文件里引入本文件
**/
class yang_cat_post_list extends WP_Widget {
	function yang_cat_post_list(){
		$widget_des = array('description' => '调用某分类下的图文列表');
		parent::WP_Widget('yang_cat_post_list',$name='图文调用',$widget_des);
		//parent::直接使用父类中的方法
		//$name 这个小工具的名称,
		//$widget_ops 可以给小工具进行描述等等。
		//$control_ops 可以对小工具进行简单的样式定义等等。
	}
	//小工具的选项设置表单
	function form($instance){
		//title:模块标题，title_en:英文标题，showPosts:显示文章数量，cat:分类目录ID
		$instance = wp_parse_args((array)$instance,array('title'=>'图文','title_en'=>'Title','showPosts'=>10,'cat'=>0));//默认值
		$title = htmlspecialchars($instance['title']);
		$title_en = htmlspecialchars($instance['title_en']);
		$showPosts = htmlspecialchars($instance['showPosts']);
		$cat = htmlspecialchars($instance['cat']);
		echo '<p style="text-align:left;"><label for="'.$this->get_field_name('title').'">标题:<input style="width:200px;" id="'.$this->get_field_id('title').'" name="'.$this->get_field_name('title').'" type="text" value="'.$title.'" /></label></p>';
		//echo '<p style="text-align:left;"><label for="'.$this->get_field_name('title_en').'">英文标题:<input style="width:200px;" id="'.$this->get_field_id('title_en').'" name="'.$this->get_field_name('title_en').'" type="text" value="'.$title_en.'" /></label></p>';
		echo '<p style="text-align:left;"><label for="'.$this->get_field_name('showPosts').'">文章数量:<input style="width:200px;" id="'.$this->get_field_id('showPosts').'" name="'.$this->get_field_name('showPosts').'" type="text" value="'.$showPosts.'" /></label></p>';
		echo '<p style="text-align:left;"><label for="'.$this->get_field_name('cat').'">分类ID:<input style="width:200px" id="'.$this->get_field_id('cat').'" name="'.$this->get_field_name('cat').'" type="text" value="'.$cat.'" /></label></p>';
	}
	//更新保存 小工具表单数据
	function update($new_instance,$old_instance){
		$instance = $old_instance;
		$instance['title'] = strip_tags(stripslashes($new_instance['title']));
		//$instance['title_en'] = strip_tags(stripslashes($new_instance['title_en']));
		$instance['showPosts'] = strip_tags(stripslashes($new_instance['showPosts']));
		$instance['cat'] = strip_tags(stripslashes($new_instance['cat']));
		return $instance;
	}
	//文章顺序显示
	function the_rand_posts($args = ''){
		$default = array('showPosts'=>10, 'cat'=>'0');
		$r = wp_parse_args($args,$default);
		extract($r);
		$rand_query = new WP_Query("cat=$cat&showposts=$showPosts&orderby=desc");
		if($rand_query->have_posts()){
			echo '<div class="am-intro-bd">';
			echo '<div class="am-list-news am-list-news-default" >';
			echo '<div class="am-list-news-bd">';
			echo '<ul class="am-list">';
			while($rand_query->have_posts()){
				$rand_query->the_post();
				echo '<li class="am-g am-list-item-desced am-list-item-thumbed am-list-item-thumb-left">';
				echo '<div class="am-u-sm-4 am-list-thumb">';
				echo '<a href="'.get_permalink().'">'.get_the_post_thumbnail().'</a>';
				echo '</div>';
				echo '<div class=" am-u-sm-8 am-list-main">';
				echo '<h3 class="am-list-item-hd"><a href="'.get_permalink().'">'.get_the_title().'</a></h3>';
				echo '</div>';
				echo '</li>';
				
			}
			echo '</ul>';
			echo '</div></div></div>';
		}
	}
	//小工具在前台显示效果
	function widget($args, $instance){
		extract($args);
		$title = apply_filters('widget_title', empty($instance['title']) ? __('图文','yang') : $instance['title']);//小工具前台标题
		//$title = $title . '<i>'.$instance['title_en'].'</i>';
		$showPosts = empty($instance['showPosts']) ? 10 : $instance['showPosts'];
		$cat = empty($instance['cat']) ? 0 : $instance['cat'];
		echo $before_widget;
		if( $title ) echo $before_title . $title . $after_title;
		self::the_rand_posts("showPosts=$showPosts&cat='$cat'");
		echo $after_widget;
	}
}
//发现
class fx_cat_post_list extends WP_Widget {
	function fx_cat_post_list(){
		$widget_des = array('description' => '调用发现图片');
		parent::WP_Widget('fx_cat_post_list',$name='发现',$widget_des);
		//parent::直接使用父类中的方法
		//$name 这个小工具的名称,
		//$widget_ops 可以给小工具进行描述等等。
		//$control_ops 可以对小工具进行简单的样式定义等等。
	}
	//小工具的选项设置表单
	function form($instance){
		//title:模块标题，title_en:英文标题，showPosts:显示文章数量，cat:分类目录ID
		$instance = wp_parse_args((array)$instance,array('title'=>'图文','lie'=>'2','showPosts'=>10,'cat'=>0));//默认值
		$title = htmlspecialchars($instance['title']);
		$lie = htmlspecialchars($instance['lie']);
		$showPosts = htmlspecialchars($instance['showPosts']);
		$cat = htmlspecialchars($instance['cat']);
		echo '<p style="text-align:left;"><label for="'.$this->get_field_name('title').'">标题:<input style="width:200px;" id="'.$this->get_field_id('title').'" name="'.$this->get_field_name('title').'" type="text" value="'.$title.'" /></label></p>';
		echo '<p style="text-align:left;"><label for="'.$this->get_field_name('lie').'">列数:<input style="width:200px;" id="'.$this->get_field_id('lie').'" name="'.$this->get_field_name('title_en').'" type="text" value="'.$lie.'" /></label></p>';
		echo '<p style="text-align:left;"><label for="'.$this->get_field_name('showPosts').'">文章数量:<input style="width:200px;" id="'.$this->get_field_id('showPosts').'" name="'.$this->get_field_name('showPosts').'" type="text" value="'.$showPosts.'" /></label></p>';
		echo '<p style="text-align:left;"><label for="'.$this->get_field_name('cat').'">分类ID:<input style="width:200px" id="'.$this->get_field_id('cat').'" name="'.$this->get_field_name('cat').'" type="text" value="'.$cat.'" /></label></p>';
	}
	//更新保存 小工具表单数据
	function update($new_instance,$old_instance){
		$instance = $old_instance;
		$instance['title'] = strip_tags(stripslashes($new_instance['title']));
		$instance['lie'] = strip_tags(stripslashes($new_instance['lie']));
		$instance['showPosts'] = strip_tags(stripslashes($new_instance['showPosts']));
		$instance['cat'] = strip_tags(stripslashes($new_instance['cat']));
		return $instance;
	}
	//文章顺序显示
	function the_rand_posts($args = ''){
		$default = array('showPosts'=>10, 'cat'=>'0');
		$r = wp_parse_args($args,$default);
		extract($r);
		$rand_query = new WP_Query("cat=$cat&showposts=$showPosts&orderby=desc");
		if($rand_query->have_posts()){
			echo '<div class="am-intro-bd">';
			echo '<ul data-am-widget="gallery" class="am-gallery am-avg-sm-2
  am-avg-md-'.$instance['lie'].' am-gallery-imgbordered" data-am-gallery="{ pureview: true }" >';
			while($rand_query->have_posts()){
				$rand_query->the_post();
				$thumbnail_src = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),'full');
				$post_thumbnail_src = $thumbnail_src [0];
				echo '<li>';
				echo '<div class="am-gallery-item">';
				echo '<a href="'.$post_thumbnail_src.'"><img src="'.$post_thumbnail_src.'" alt="'.get_the_title().'"/></a>';
				echo '</div>';
				echo '</li>';
				
			}
			echo '</ul>';
			echo '</div>';
		}
	}
	//小工具在前台显示效果
	function widget($args, $instance){
		extract($args);
		$title = apply_filters('widget_title', empty($instance['title']) ? __('图文','yang') : $instance['title']);//小工具前台标题
		//$title = $title . '<i>'.$instance['title_en'].'</i>';
		$showPosts = empty($instance['showPosts']) ? 10 : $instance['showPosts'];
		$cat = empty($instance['cat']) ? 0 : $instance['cat'];
		echo $before_widget;
		if( $title ) echo $before_title . $title . $after_title;
		self::the_rand_posts("showPosts=$showPosts&cat='$cat'");
		echo $after_widget;
	}
}
//指定分类文章
class fl_cat_post_list extends WP_Widget {
	function fl_cat_post_list(){
		$widget_des = array('description' => '指定分类文章');
		parent::WP_Widget('fl_cat_post_list',$name='指定分类文章',$widget_des);
		//parent::直接使用父类中的方法
		//$name 这个小工具的名称,
		//$widget_ops 可以给小工具进行描述等等。
		//$control_ops 可以对小工具进行简单的样式定义等等。
	}
	//小工具的选项设置表单
	function form($instance){
		//title:模块标题，title_en:英文标题，showPosts:显示文章数量，cat:分类目录ID
		$instance = wp_parse_args((array)$instance,array('title'=>'标题','lie'=>'class','showPosts'=>10,'cat'=>0));//默认值
		$title = htmlspecialchars($instance['title']);
		$lie = htmlspecialchars($instance['lie']);
		$showPosts = htmlspecialchars($instance['showPosts']);
		$cat = htmlspecialchars($instance['cat']);
		echo '<p style="text-align:left;"><label for="'.$this->get_field_name('title').'">标题:<input style="width:200px;" id="'.$this->get_field_id('title').'" name="'.$this->get_field_name('title').'" type="text" value="'.$title.'" /></label></p>';
		echo '<p style="text-align:left;"><label for="'.$this->get_field_name('lie').'">UL.Class:<input style="width:200px;" id="'.$this->get_field_id('lie').'" name="'.$this->get_field_name('title_en').'" type="text" value="'.$lie.'" /></label></p>';
		echo '<p style="text-align:left;"><label for="'.$this->get_field_name('showPosts').'">文章数量:<input style="width:200px;" id="'.$this->get_field_id('showPosts').'" name="'.$this->get_field_name('showPosts').'" type="text" value="'.$showPosts.'" /></label></p>';
		echo '<p style="text-align:left;"><label for="'.$this->get_field_name('cat').'">分类ID:<input style="width:200px" id="'.$this->get_field_id('cat').'" name="'.$this->get_field_name('cat').'" type="text" value="'.$cat.'" /></label></p>';
	}
	//更新保存 小工具表单数据
	function update($new_instance,$old_instance){
		$instance = $old_instance;
		$instance['title'] = strip_tags(stripslashes($new_instance['title']));
		$instance['lie'] = strip_tags(stripslashes($new_instance['lie']));
		$instance['showPosts'] = strip_tags(stripslashes($new_instance['showPosts']));
		$instance['cat'] = strip_tags(stripslashes($new_instance['cat']));
		return $instance;
	}
	//文章顺序显示
	function the_rand_posts($args = ''){
		$default = array('showPosts'=>10, 'cat'=>'0');
		$r = wp_parse_args($args,$default);
		extract($r);
		$rand_query = new WP_Query("cat=$cat&showposts=$showPosts&orderby=desc");
		if($rand_query->have_posts()){
			echo '<ul class="am-list">';
			while($rand_query->have_posts()){
				$rand_query->the_post();
				//$thumbnail_src = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID),'full');
				//$post_thumbnail_src = $thumbnail_src [0];
				echo '<li><a href="'.get_permalink().'">'.get_the_title().'</a></li>';

				
			}
			echo '<div class="am-cf"></div>';
			echo '</ul>';
		}
	}
	//小工具在前台显示效果
	function widget($args, $instance){
		extract($args);
		//$title = apply_filters('widget_title', empty($instance['title']) ? __('图文','yang') : $instance['title']);//小工具前台标题
		//$title = $title . '<i>'.$instance['title_en'].'</i>';
		$showPosts = empty($instance['showPosts']) ? 10 : $instance['showPosts'];
		$cat = empty($instance['cat']) ? 0 : $instance['cat'];
		echo $before_widget;
		if( $title ) echo $before_title . $title . $after_title;
		self::the_rand_posts("showPosts=$showPosts&cat='$cat'");
		echo $after_widget;
	}
}
//激活小工具
register_widget('yang_cat_post_list');
register_widget('fx_cat_post_list');
register_widget('fl_cat_post_list');
?>