<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till main content
 */
?><!DOCTYPE html>
<!--[if IE 7]><html class="ie ie7" <?php language_attributes(); ?>><![endif]-->
<!--[if IE 8]><html class="ie ie8" <?php language_attributes(); ?>><![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php wp_title( '|', true, 'right' ); ?></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="format-detection" content="telephone=no">
<meta name="renderer" content="webkit">
<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/assets/css/amazeui.min.css"/>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php // Loads HTML5 JavaScript file to add support for HTML5 elements in older IE versions. ?>
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->

<?php wp_head(); ?>

<script type="text/javascript">
	<?php

	# -----------------------------------------------------------------------------
	# Custom JavaScript from Theme Options
	# -----------------------------------------------------------------------------

	echo stripslashes(htmlspecialchars_decode(get_options_data('content-options', 'custom-js'))); 

	?>
</script>

</head>

<body <?php body_class(); ?>>
<header>
  <div class="topbar">
    <div class="am-g am-container">
      <div class="am-u-md-6"> <?php echo get_options_data('design-settings', 'field-topleft');?> </div>
      <div class="am-u-md-6 am-hide-sm-only am-text-right"> <span class="cf6"><?php echo get_options_data('design-settings', 'field-topright')?></span><span></span> </div>
    </div>
  </div>
  <div class="qz-header">
    <div class="am-container">
      <div class="am-g">
        <div class="am-u-md-9"> <?php

				# -----------------------------------------------------------------------------
				# Site Title and Logo
				# -----------------------------------------------------------------------------

				$logo_image   = get_options_data('design-settings', 'logo');
				$logo_title   = get_options_data('design-settings', 'logo-title'); 
				$logo_tagline = get_options_data('design-settings', 'logo-tagline'); 
				$logo_link    = get_options_data('design-settings', 'logo-link');

				// Set defaults
				$logo_title   = ($logo_title) ? $logo_title : get_bloginfo('name'); 
				$logo_link    = ($logo_link) ? $logo_link : home_url('/'); 

				if (!$logo_image) {

					// Text logo
					// ----------------------------------------------------------------------------
					echo '<h1><a href="'. esc_url( $logo_link ) .'" title="'. esc_attr( $logo_title ) .'" rel="home">'. $logo_title .'</a></h1>';
					if ($logo_tagline == 'true') {
						// Tagline
						echo '<h2 class="site-description">'. bloginfo( 'description' ) .'</h2>';
					}

				} else {

					// Image logo
					// ----------------------------------------------------------------------------
					echo '<a href="'. esc_url( $logo_link ) .'" title="'. esc_attr( $logo_title ) .'" rel="home"><img src="'. $logo_image .'" alt="'. esc_attr( $logo_title ) .'"></a>';
				}
			?> </div>
        <div class="am-u-md-3 am-text-right">
          <?php echo do_shortcode( '[sidebar alias="sidebar-2"]' ); ?>
        </div>
        <div class="am-u-md-12">
          <div class="am-g">
            <div class="qz-nav">
              <button class="am-topbar-btn am-topbar-toggle am-btn am-btn-sm am-btn-danger am-show-sm-only" data-am-collapse="{target: '#doc-topbar-collapse'}"><span class="am-sr-only">进口家具导航</span> <span class="am-icon-bars"></span></button>
              <div class="am-collapse am-topbar-collapse" id="doc-topbar-collapse">
                  <?php wp_nav_menu( array( 'theme_location' => 'primary','container' => 'ul', 'menu_class' => 'am-nav am-nav-pills am-topbar-nav' ) ); ?>
                <?php echo do_shortcode( '[sidebar alias="nav-right"]' ); ?>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</header>
